#include <string.h>
#ifdef MATLAB_MEX_FILE
#include "tmwtypes.h"
#else
#include "rtwtypes.h"
#endif

#include "drive_Steps_cgen_wrapper.h"

extern void drive_Steps_Start_wrapper(real_T *xD,
  const uint8_T *ENA, const int_T p_width0,
  const uint8_T *DIR, const int_T p_width1,
  const uint8_T *PUL, const int_T p_width2);
extern void drive_Steps_Outputs_wrapper(const boolean_T *shouldStep,
  const uint16_T *stepsToDrive,
  uint16_T *stepsDriven,
  const real_T *xD,
  const uint8_T *ENA, const int_T p_width0,
  const uint8_T *DIR, const int_T p_width1,
  const uint8_T *PUL, const int_T p_width2);
extern void drive_Steps_Update_wrapper(const boolean_T *shouldStep,
  const uint16_T *stepsToDrive,
  uint16_T *stepsDriven,
  real_T *xD,
  const uint8_T *ENA, const int_T p_width0,
  const uint8_T *DIR, const int_T p_width1,
  const uint8_T *PUL, const int_T p_width2);
void drive_Steps_Start_wrapper_cgen(real_T *xD,
  const uint8_T *ENA, const int_T p_width0,
  const uint8_T *DIR, const int_T p_width1,
  const uint8_T *PUL, const int_T p_width2)
{
  drive_Steps_Start_wrapper(xD,
    ENA, p_width0,
    DIR, p_width1,
    PUL, p_width2);
}

void drive_Steps_Outputs_wrapper_cgen(const boolean_T *shouldStep,
  const uint16_T *stepsToDrive,
  uint16_T *stepsDriven,
  const real_T *xD,
  const uint8_T *ENA, const int_T p_width0,
  const uint8_T *DIR, const int_T p_width1,
  const uint8_T *PUL, const int_T p_width2)
{
  drive_Steps_Outputs_wrapper(shouldStep,
    stepsToDrive,
    stepsDriven,
    xD,
    ENA, p_width0,
    DIR, p_width1,
    PUL, p_width2);
}

void drive_Steps_Update_wrapper_cgen(const boolean_T *shouldStep,
  const uint16_T *stepsToDrive,
  uint16_T *stepsDriven,
  real_T *xD,
  const uint8_T *ENA, const int_T p_width0,
  const uint8_T *DIR, const int_T p_width1,
  const uint8_T *PUL, const int_T p_width2)
{
  drive_Steps_Update_wrapper(shouldStep,
    stepsToDrive,
    stepsDriven,
    xD,
    ENA, p_width0,
    DIR, p_width1,
    PUL, p_width2);
}
