#include <string.h>
#ifdef MATLAB_MEX_FILE
#include "tmwtypes.h"
#else
#include "rtwtypes.h"
#endif

#include "read_HX711_cgen_wrapper.h"

extern void read_HX711_Start_wrapper(real_T *xD,
  const uint8_T *SCK, const int_T p_width0,
  const uint8_T *DOUT, const int_T p_width1);
extern void read_HX711_Outputs_wrapper(real_T *force,
  const real_T *xD,
  const uint8_T *SCK, const int_T p_width0,
  const uint8_T *DOUT, const int_T p_width1);
extern void read_HX711_Update_wrapper(real_T *force,
  real_T *xD,
  const uint8_T *SCK, const int_T p_width0,
  const uint8_T *DOUT, const int_T p_width1);
void read_HX711_Start_wrapper_cgen(real_T *xD,
  const uint8_T *SCK, const int_T p_width0,
  const uint8_T *DOUT, const int_T p_width1)
{
  read_HX711_Start_wrapper(xD,
    SCK, p_width0,
    DOUT, p_width1);
}

void read_HX711_Outputs_wrapper_cgen(real_T *force,
  const real_T *xD,
  const uint8_T *SCK, const int_T p_width0,
  const uint8_T *DOUT, const int_T p_width1)
{
  read_HX711_Outputs_wrapper(force,
    xD,
    SCK, p_width0,
    DOUT, p_width1);
}

void read_HX711_Update_wrapper_cgen(real_T *force,
  real_T *xD,
  const uint8_T *SCK, const int_T p_width0,
  const uint8_T *DOUT, const int_T p_width1)
{
  read_HX711_Update_wrapper(force,
    xD,
    SCK, p_width0,
    DOUT, p_width1);
}
