#ifndef _DRIVE_STEPS_CGEN_WRAPPER_H_
#define _DRIVE_STEPS_CGEN_WRAPPER_H_
#ifdef MATLAB_MEX_FILE
#include "tmwtypes.h"
#else
#include "rtwtypes.h"
#endif

#ifdef __cplusplus
#define SFB_EXTERN_C                   extern "C"
#else
#define SFB_EXTERN_C                   extern
#endif

SFB_EXTERN_C void drive_Steps_Start_wrapper_cgen(real_T *xD,
  const uint8_T *ENA, const int_T p_width0,
  const uint8_T *DIR, const int_T p_width1,
  const uint8_T *PUL, const int_T p_width2);
SFB_EXTERN_C void drive_Steps_Outputs_wrapper_cgen(const boolean_T *shouldStep,
  const uint16_T *stepsToDrive,
  uint16_T *stepsDriven,
  const real_T *xD,
  const uint8_T *ENA, const int_T p_width0,
  const uint8_T *DIR, const int_T p_width1,
  const uint8_T *PUL, const int_T p_width2);
SFB_EXTERN_C void drive_Steps_Update_wrapper_cgen(const boolean_T *shouldStep,
  const uint16_T *stepsToDrive,
  uint16_T *stepsDriven,
  real_T *xD,
  const uint8_T *ENA, const int_T p_width0,
  const uint8_T *DIR, const int_T p_width1,
  const uint8_T *PUL, const int_T p_width2);

#undef SFB_EXTERN_C
#endif
