#ifndef _READ_HX711_CGEN_WRAPPER_H_
#define _READ_HX711_CGEN_WRAPPER_H_
#ifdef MATLAB_MEX_FILE
#include "tmwtypes.h"
#else
#include "rtwtypes.h"
#endif

#ifdef __cplusplus
#define SFB_EXTERN_C                   extern "C"
#else
#define SFB_EXTERN_C                   extern
#endif

SFB_EXTERN_C void read_HX711_Start_wrapper_cgen(real_T *xD,
  const uint8_T *SCK, const int_T p_width0,
  const uint8_T *DOUT, const int_T p_width1);
SFB_EXTERN_C void read_HX711_Outputs_wrapper_cgen(real_T *force,
  const real_T *xD,
  const uint8_T *SCK, const int_T p_width0,
  const uint8_T *DOUT, const int_T p_width1);
SFB_EXTERN_C void read_HX711_Update_wrapper_cgen(real_T *force,
  real_T *xD,
  const uint8_T *SCK, const int_T p_width0,
  const uint8_T *DOUT, const int_T p_width1);

#undef SFB_EXTERN_C
#endif
